org.gjt.sp.jedit.bsh

## Class ClassIdentifier

- java.lang.Object
- - org.gjt.sp.jedit.bsh.ClassIdentifier

-     public class ClassIdentifier
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassIdentifier(java.lang.Class clas)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getTargetClass()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassIdentifier

          public ClassIdentifier(java.lang.Class clas)

  - ### Method Detail

    - #### getTargetClass

          public java.lang.Class getTargetClass()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`